Bug 56566 - ljet4 still broken in foomatic-1.1-0.20011018.6
ljet4 still broken in foomatic-1.1-0.20011018.6
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-20 20:16 EST by mcornick
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 17:57:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log file from failed printing attempt (9.50 KB, text/plain)
2001-11-20 20:16 EST, mcornick
no flags Details

  None (edit)
Description mcornick 2001-11-20 20:16:09 EST
Description of Problem:

The foomatic-1.1-0.20011018.6 errata, claimed to fix problems with printing
to (among others) ljet4 printers, does not fix breakage seen with the
previous foomatic-1.1-0.20011018.3 rpm. With either of these RPMs
installed, printing PostScript to an ljet4 printer results in absolutely no
output; the printer does not even indicate any data being received. lpd
removes the job immediately and produces no errors in lpq; however, there
are errors from ghostscript in the status.lp file. This printer did work
with the foomatic-1.1-0.20010905.1 shipped with Red Hat 7.2.

Version-Release number of selected component (if applicable):

1.1-0.20011018.6

How Reproducible:
100% consistently reproducible.

Steps to Reproduce:
1. Install latest foomatic update
2. Run printconf-gui, configure an HP Laserjet 4 printer with the ljet4 driver
3. Apply changes and restart lpd
4. Print Postscript test page
5. Wait

Actual Results:

No pages printed.

Expected Results:

Standard Red Hat test page printed on HP Laserjet 4 printer.

Additional Information:

This printer does work if you pretend it is an HP Laserjet 4L and use the
omni driver instead of the ljet4 driver. However, the ljet4 driver supports
higher resolution than the omni driver, and is generally a much more mature
and proven driver, so this is not really an acceptable workaround.

I will attach the status.lp log file from the /var/spool/lp/lpd directory
generated by an unsucessful printing attempt following the above steps. It
is very similar, if not identical, to the log file created by doing the
same process with foomatic-1.1-0.20011018.3. You will note a "Can't use
\x{} without 'use utf8' declaration" error.
Comment 1 mcornick 2001-11-20 20:16:52 EST
Created attachment 38183 [details]
log file from failed printing attempt
Comment 2 mcornick 2001-11-20 22:30:17 EST
OK, there is a typo in the postin script in the RPM:

# zap the cache
rm -rf /var/chache/foomatic/{pcache,compiled}/*

That should, of course, be /var/cache/foomatic..., not /var/chache/foomatic.
When I upgraded to the new RPM, the old cache didn't get erased, so the old
cached driver which didn't -Mutf8 was still being used. I removed foomatic,
nuked the cache directories, and reinstalled, and now ljet4 works fine. So if
you fix the typo, I'm guessing this will work and this bug can be closed.
Comment 3 Stan Klein 2001-11-23 11:17:50 EST
To get my HP 4L printer to work partially, I had to delete all previous print
queues and reconfigure a queue.  I had to name the queue lp0, same as the
device.  Naming it HP-4L didn't work.  Also, although some applications print
properly, any ones based on Postscript print magnified, which is a colossal
nuisance.
Comment 4 Jim Richardson 2001-11-26 14:17:30 EST
Deleting my /var/cache/foomatic contents, solved the problem for my HP1100 
printer. I was also able to name the queue's something other than lp0 as well.
Comment 5 Tim Waugh 2002-01-08 12:46:45 EST
So this should be fixed by foomatic-1.1-0.20011018.7?  Please re-open if not.  
Thanks.

Note You need to log in before you can comment on or make changes to this bug.